.mathquill-editable,
.mathquill-rendered-math,
.mathquill-rendered-math .cursor,
.mathquill-rendered-math .underline,
.mathquill-rendered-math .overline,
.mathquill-rendered-math .font,
.mathquill-rendered-math sup,
.mathquill-rendered-math sub,
.mathquill-rendered-math .fraction,
.mathquill-rendered-math .sqrt-prefix,
.mathquill-rendered-math .sqrt-stem,
.mathquill-rendered-math .paren,
.mathquill-rendered-math .array,
.mathquill-rendered-math .block {
    display: -moz-inline-box;
    display: inline-block;
    padding-top: .075em;
}

.mathquill-editable,
.mathquill-embedded-latex .mathquill-editable {
    border: 1px solid gray;
    padding: 2px
}

.mathquill-embedded-latex .mathquill-editable {
    margin: 1px
}

.mathquill-textbox {
    overflow-x: inherit;
    overflow-y: hidden
}

.mathquill-editable .textarea,
.mathquill-rendered-math .textarea {
    position: relative;
    user-select: text;
    -moz-user-select: text;
    -webkit-user-select: text
}

.mathquill-editable .textarea textarea,
.mathquill-rendered-math .textarea textarea,
.mathquill-rendered-math .selectable {
    -webkit-user-select: text;
    -moz-user-select: text;
    user-select: text;
    position: absolute;
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    -o-transform: scale(0);
    transform: scale(0);
    resize: none;
    width: 1px;
    height: 1px
}

.mathquill-editable .cursor {
    border-left: 1px solid black;
    margin-right: -1px;
    position: relative;
    z-index: 1
}

.mathquill-editable .cursor.blink {
    visibility: hidden
}

.mathquill-editable.empty:after,
.mathquill-textbox:after,
.mathquill-rendered-math .empty:after {
    visibility: hidden;
    content: 'c'
}

.mathquill-editable .cursor:only-child:after,
.mathquill-editable .textarea+.cursor:last-child:after,
.mathquill-editable .overline+.cursor:last-child:after,
.mathquill-editable .diacritic-char+.cursor:last-child:after {
    visibility: hidden;
    content: 'c'
}

.mathquill-rendered-math .matrixed,
.mathquill-rendered-math .matrixed span {
    display: inline-block;
    background: white;
    width: 1em
}

.mathquill-rendered-math .matrixed {
    filter: progid:DXImageTransform.Microsoft.Chroma(color='white')
}

.mathquill-editable .selection,
.mathquill-rendered-math .selection,
.mathquill-editable .selection .mathquill-rendered-math,
.mathquill-rendered-math .selection .underline,
.mathquill-rendered-math .selection .overline,
.mathquill-rendered-math .selection .font,
.mathquill-rendered-math .selection sup,
.mathquill-rendered-math .selection sub,
.mathquill-rendered-math .selection .fraction,
.mathquill-rendered-math .selection .sqrt-prefix,
.mathquill-rendered-math .selection .sqrt-stem,
.mathquill-rendered-math .selection .paren,
.mathquill-rendered-math .selection .array,
.mathquill-rendered-math .selection table.matrix,
.mathquill-editable .selection .matrixed,
.mathquill-rendered-math .selection .matrixed,
.mathquill-rendered-math .selection .block {
    background: #b4d5fe;
    background: Highlight;
    color: HighlightText;
    border-color: HighlightText
}

.mathquill-rendered-math .selection .matrixed,
.mathquill-rendered-math .selection .matrixed span {
    background: #39F;
    filter: progid:DXImageTransform.Microsoft.Chroma(color='#3399FF')
}

.mathquill-editable .selection.blur,
.mathquill-rendered-math .selection.blur,
.mathquill-editable .selection.blur .mathquill-rendered-math,
.mathquill-rendered-math .selection.blur .underline,
.mathquill-rendered-math .selection.blur .overline,
.mathquill-rendered-math .selection.blur .font,
.mathquill-rendered-math .selection.blur sup,
.mathquill-rendered-math .selection.blur sub,
.mathquill-rendered-math .selection.blur .fraction,
.mathquill-rendered-math .selection.blur .sqrt-prefix,
.mathquill-rendered-math .selection.blur .sqrt-stem,
.mathquill-rendered-math .selection.blur .paren,
.mathquill-rendered-math .selection.blur .array,
.mathquill-rendered-math .selection.blur table.matrix,
.mathquill-editable .selection.blur .matrixed,
.mathquill-rendered-math .selection.blur .matrixed,
.mathquill-rendered-math .selection.blur .matrixed span,
.mathquill-rendered-math .selection.blur .block {
    background: #d4d4d4;
    color: black;
    border-color: black;
    filter: progid:DXImageTransform.Microsoft.Chroma(color='#D4D4D4')
}

.mathquill-editable .selection .selection.blur,
.mathquill-rendered-math .selection .selection.blur,
.mathquill-editable .selection .selection.blur .mathquill-rendered-math,
.mathquill-rendered-math .selection .selection.blur .underline,
.mathquill-rendered-math .selection .selection.blur .overline,
.mathquill-rendered-math .selection .selection.blur .font,
.mathquill-rendered-math .selection .selection.blur sup,
.mathquill-rendered-math .selection .selection.blur sub,
.mathquill-rendered-math .selection .selection.blur .fraction,
.mathquill-rendered-math .selection .selection.blur .sqrt-prefix,
.mathquill-rendered-math .selection .selection.blur .sqrt-stem,
.mathquill-rendered-math .selection .selection.blur .paren,
.mathquill-rendered-math .selection .selection.blur .array,
.mathquill-rendered-math .selection .selection.blur table.matrix,
.mathquill-editable .selection .selection.blur .matrixed,
.mathquill-rendered-math .selection .selection.blur .matrixed,
.mathquill-rendered-math .selection .selection.blur .matrixed span,
.mathquill-rendered-math .selection .selection.blur .block {
    background: #ABF;
    filter: progid:DXImageTransform.Microsoft.Chroma(color='#ABF')
}

.mathquill-editable .selection.blur .selection.blur,
.mathquill-rendered-math .selection.blur .selection.blur,
.mathquill-editable .selection.blur .selection.blur .mathquill-rendered-math,
.mathquill-rendered-math .selection.blur .selection.blur .underline,
.mathquill-rendered-math .selection.blur .selection.blur .overline,
.mathquill-rendered-math .selection.blur .selection.blur .font,
.mathquill-rendered-math .selection.blur .selection.blur sup,
.mathquill-rendered-math .selection.blur .selection.blur sub,
.mathquill-rendered-math .selection.blur .selection.blur .fraction,
.mathquill-rendered-math .selection.blur .selection.blur .sqrt-prefix,
.mathquill-rendered-math .selection.blur .selection.blur .sqrt-stem,
.mathquill-rendered-math .selection.blur .selection.blur .paren,
.mathquill-rendered-math .selection.blur .selection.blur .array,
.mathquill-rendered-math .selection.blur .selection.blur table.matrix,
.mathquill-editable .selection.blur .selection.blur .matrixed,
.mathquill-rendered-math .selection.blur .selection.blur .matrixed,
.mathquill-rendered-math .selection.blur .selection.blur .matrixed span,
.mathquill-rendered-math .selection.blur .selection.blur .block {
    background: #AAA;
    background: rgba(0, 0, 0, .15);
    filter: progid:DXImageTransform.Microsoft.Chroma(color='#AAA')
}

.mathquill-editable,
.mathquill-rendered-math {
    font-family: Symbola-mq, "Times New Roman", serif
}

.mathquill-rendered-math {
    font-variant: normal;
    font-weight: normal;
    font-style: normal;
    font-size: 92%;
    line-height: 1
}

.mathquill-rendered-math * {
    font-size: inherit;
    line-height: inherit;
    margin: 0;
    padding: 0;
    border-color: black;
    user-select: none;
    -moz-user-select: none;
    -webkit-user-select: none;
    white-space: pre-wrap
}

.mathquill-editable.hasCursor,
.mathquill-rendered-math .latex-command-input.hasCursor {
    border-color: ActiveBorder
}

.mathquill-editable.hasCursor,
.mathquill-editable .hasCursor {
    -webkit-box-shadow: #68b4df 0 0 3px 2px;
    -moz-box-shadow: #68b4df 0 0 3px 2px;
    box-shadow: #68b4df 0 0 3px 2px
}

.mathquill-editable.placeholder {
    color: gray;
    border-color: gray
}

.mathquill-rendered-math .empty {
    background: #ccc
}

.mathquill-rendered-math.empty {
    background: transparent
}

.mathquill-rendered-math .text {
    font-size: 87%
}

.mathquill-rendered-math .font {
    font-family: 'Ubuntu', sans-serif;
    font-size: 90%
}

.mathquill-rendered-math .font * {
    font-family: inherit;
    font-style: inherit
}

.mathquill-rendered-math b,
.mathquill-rendered-math b.font {
    font-weight: bolder
}

.mathquill-rendered-math var,
.mathquill-rendered-math i,
.mathquill-rendered-math i.font {
    font-style: italic
}

.mathquill-rendered-math var.florin {
    margin: 0 -.1em
}

.mathquill-rendered-math big {
    font-size: 125%
}

.mathquill-rendered-math .roman {
    font-style: normal
}

html[lang=ar] .mathquill-rendered-math .roman {
    font-size: 100% !important;
    direction: rtl
}

.mathquill-rendered-math .sans-serif {
    font-family: sans-serif, Symbola-mq, serif
}

.mathquill-rendered-math .monospace {
    font-family: monospace, Symbola-mq, serif
}

.mathquill-rendered-math .underline {
    border-bottom: 1px solid black;
    margin-bottom: 1px
}

.mathquill-rendered-math .diacritic {
    position: relative
}

.mathquill-rendered-math .diacritic-char,
.mathquill-rendered-math .overarrow,
.mathquill-rendered-math .widehat {
    font-family: Symbola-mq, "Times New Roman", serif;
    position: absolute;
    top: -.2em;
    right: 0
}

.mathquill-rendered-math .overarc {
    font-family: Symbola-mq, "Times New Roman", serif;
    position: absolute;
    top: -.1em;
    right: 0
}

.mathquill-rendered-math .diacritic-char {
    text-align: center;
    left: -.1em
}

.mathquill-rendered-math .lowercase.diacritic-char {
    top: .1em;
    left: -.3em
}

.mathquill-rendered-math .only-lowercase-t.diacritic-char {
    top: -.1em;
    left: -.2em
}

.mathquill-rendered-math .widehat {
    left: -.1em;
    -webkit-transform-origin: .15em;
    -moz-transform-origin: .15em;
    -ms-transform-origin: .125em;
    -o-transform-origin: .15em;
    transform-origin: .15em
}

.mathquill-rendered-math .lowercase.widehat {
    top: .15em
}

.mathquill-rendered-math .only-lowercase-t.widehat {
    top: -.1em
}

.mathquill-rendered-math .overarrow {
    left: -.1em;
    -webkit-transform-origin: .0535em;
    -moz-transform-origin: .0535em;
    -ms-transform-origin: .0535em;
    -o-transform-origin: .0535em;
    transform-origin: .0535em
}

.mathquill-rendered-math .overarc {
    top: -.4em;
    transform-origin: .2em
}

.mathquill-rendered-math .lowercase.overarrow {
    top: .15em
}

.mathquill-rendered-math .only-lowercase-t.overarrow {
    top: -.1em
}

.mathquill-rendered-math .overline {
    border-top: 1px solid black;
    margin-top: 1px;
    position: absolute;
    top: -.2em;
    left: 0;
    right: -.2em
}

.mathquill-rendered-math .lowercase.overline {
    top: .1em;
    right: -.1em
}

.mathquill-rendered-math .only-lowercase-t.overline {
    top: 0;
    right: -.15em
}

.mathquill-rendered-math sup,
.mathquill-rendered-math sub {
    position: relative;
    font-size: 90%
}

.mathquill-rendered-math sup {
    vertical-align: .5em
}

.mathquill-rendered-math sub {
    vertical-align: -.4em
}

.mathquill-rendered-math sup.nthroot {
    margin-right: -.6em;
    margin-left: .2em;
    min-width: .5em
}

.mathquill-rendered-math sup.limit,
.mathquill-rendered-math sub.limit,
.mathquill-rendered-math sup.nthroot {
    font-size: 80%
}

.mathquill-rendered-math sup.limit,
.mathquill-rendered-math sup.nthroot {
    vertical-align: .8em
}

.mathquill-rendered-math sub.limit {
    vertical-align: -.6em
}

.mathquill-rendered-math .binary-operator {
    padding: 0 .2em
}

.mathquill-rendered-math .monospace .binary-operator {
    padding: 0 !important
}

.mathquill-rendered-math .monospace .fraction {
    padding: 0 !important
}

.mathquill-rendered-math .unary-operator {
    padding-left: .2em
}

.mathquill-rendered-math sup .binary-operator,
.mathquill-rendered-math sub .binary-operator {
    padding: 0 .1em
}

.mathquill-rendered-math sup .unary-operator,
.mathquill-rendered-math sub .unary-operator {
    padding-left: .1em
}

.mathquill-rendered-math .fraction {
    font-size: 90%;
    text-align: center;
    vertical-align: -.5em;
    padding: 0 .1em
}

.mathquill-rendered-math .fraction,
x:-moz-any-link {
    display: -moz-groupbox
}

.mathquill-rendered-math .fraction,
x:-moz-any-link,
x:default {
    display: inline-block
}

.mathquill-rendered-math .numerator,
.mathquill-rendered-math .denominator {
    display: block;
    padding-top: .075em
}

.mathquill-rendered-math .numerator {
    padding-left: .1em;
    padding-right: .1em
}

.mathquill-rendered-math .denominator {
    border-top: 1px solid;
    float: right;
    width: 100%
}

.mathquill-rendered-math sup .fraction,
.mathquill-rendered-math sub .fraction {
    font-size: 70%;
    vertical-align: -.4em
}

.mathquill-rendered-math sup .numerator,
.mathquill-rendered-math sub .numerator {
    padding-bottom: 0
}

.mathquill-rendered-math sup .denominator,
.mathquill-rendered-math sub .denominator {
    padding-top: 0
}

.mathquill-rendered-math .latex-command-input {
    color: inherit;
    font-family: "Courier New", monospace;
    border: 1px solid gray;
    padding-right: 1px;
    margin-right: 1px;
    margin-left: 2px
}

.mathquill-rendered-math .latex-command-input.empty {
    background: transparent
}

.mathquill-rendered-math .sqrt-prefix {
    padding-top: 0;
    position: relative;
    top: .1em;
    vertical-align: top;
    -webkit-transform-origin: top;
    -moz-transform-origin: top;
    -ms-transform-origin: top;
    -o-transform-origin: top;
    transform-origin: top
}

.mathquill-rendered-math .longdivision {
    margin-right: -1px
}

.mathquill-rendered-math .sqrt-stem {
    border-top: 1px solid;
    margin-top: 1px;
    padding-left: .15em;
    padding-right: .2em;
    margin-right: .1em
}

.mathquill-rendered-math .paren {
    padding: 0 .1em;
    vertical-align: bottom;
    -webkit-transform-origin: bottom;
    -moz-transform-origin: bottom;
    -ms-transform-origin: bottom;
    -o-transform-origin: bottom;
    transform-origin: bottom
}

.mathquill-rendered-math .array {
    vertical-align: middle;
    text-align: center
}

.mathquill-rendered-math .array>span {
    display: block
}

.mathquill-rendered-math table.matrix {
    display: inline-table;
    vertical-align: middle;
    border-spacing: 1em .2em;
    margin: 0 -.8em;
    border-collapse: separate;
    max-width: none !important
}

.mathquill-rendered-math table.matrix td {
    text-align: center;
    border: 0 !important
}

.mathquill-rendered-math .non-italicized-function {
    padding-right: .2em
}

/* Removed global sup/sub to avoid overriding Tailwind */

.mathquill-input.mathquill-rendered-math {
    padding-left: 12px;
    padding-top: 0;
    padding-bottom: 0
}

#home .mathquill-input.mathquill-editable {
    width: 100%;
}

.mathquill-input.mathquill-editable {
    -overflow-x: hidden;
    width: 585px;
    padding: 8px 40px 8px 12px;
    font-size: 20px;
    margin-left: 0;
    margin-top: -8px;
    margin-right: 3px;
    position: relative;
    text-align: left;
    vertical-align: text-top;
    cursor: text;
    background-color: #fff;
    border-color: #ccc;
    -webkit-border-radius: 6px;
    -moz-border-radius: 6px;
    border-radius: 6px
}

.mathquill-input.mathquill-editable.hasCursor,
#CodepadInput.mathquill-editable .hasCursor {
    -webkit-box-shadow: 0 0 3px 1px #707070;
    -moz-box-shadow: 0 0 3px 1px #707070;
    box-shadow: 0 0 3px 1px #707070
}

.mathquill-input.mathquill-editable.hasCursor {
    border-color: #ccc
}
